/*
 * The Flitter Units File
 * -------------------------------------------------------------
 * Flitter uses a unit-chain style initialization system. This means that
 * individual components of Flitter and its add-ons are specified in order
 * here. Then, when the app is created, Flitter creates a single functional
 * chain by passing the next unit to the current unit's loading script. This
 * launches Flitter with a single function call (FlitterApp.up()) and enables
 * developers to contextualize Flitter within async or callback functions.
 */
const FlitterUnits = {

    /*
     * The Core Flitter Units
     * -------------------------------------------------------------
     * These units comprise the core functionality of Flitter. Unless you
     * really know what you are doing, you should NEVER change them.
     */
    'Canon'         : require('libflitter/canon/CanonicalAccessUnit'),
    'Config'        : require('libflitter/config/ConfigUnit'),
    'Services'      : require('libflitter/services/ServicesUnit'),
    'Utility'       : require('libflitter/utility/UtilityUnit'),
    'Notify'        : require('flitter-gotify/src/unit/NotifyUnit'),
    'Cli'           : require('flitter-cli/CliUnit'),
    'App'           : require('flitter-cli/CliAppUnit'),
}

module.exports = exports = FlitterUnits
